# gwpo

gwpo is a termination tool for (first-order) term rewrite systems (TRSs).


## How to build

1. Prerequisites:
- GNU/Make
- Glasgow Haskell Compiler 9.2.4 (or higher)
- Z3 version 4.8.11 (or higher)

2. Compilation:
`make` produces the executable `gwpo`.

3. Test run:
`./gwpo -gwpol examples/div.trs`


## How to use

The basic usage is `./gwpo <order> <input.trs>`.  Here `<order>` is one of
`-kbo`, `-lpo`, `-wpol`, `-wpomp`, `-gwpol`, and `-gwpomp`.  What they mean
is written in the help message of the tool, which is displayed by `./gwpo`.

The tool accepts inputs written in the basic TRS format of CoCo:

  http://project-coco.uibk.ac.at/problems/trs.php

## Authors
- Teppei Saito
- Nao Hirokawa
